commonmark-extensions-0.2.5.4: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Alerts

# Documentation

alertSpec :: forall (m :: Type -> Type) il bl. (Monad m, Typeable m, IsBlock il bl, IsInline il, Typeable il, Typeable bl, HasAlerts il bl) => SyntaxSpec m il bl #

alertSvgText :: AlertType -> Text #

alertClass :: AlertType -> Text #

alertName :: AlertType -> Text #

data AlertType #

Constructors

NoteAlert |
TipAlert |
ImportantAlert |
WarningAlert |
CautionAlert |

#### Instances

Instances details

Show AlertType # |
Instance details Defined in Commonmark.Extensions.Alerts Methods showsPrec :: Int -> AlertType -> ShowS # show :: AlertType -> String # showList :: [AlertType] -> ShowS #
Eq AlertType # |
Instance details Defined in Commonmark.Extensions.Alerts Methods (==) :: AlertType -> AlertType -> Bool # (/=) :: AlertType -> AlertType -> Bool #
Ord AlertType # |
Instance details Defined in Commonmark.Extensions.Alerts Methods compare :: AlertType -> AlertType -> Ordering # (<) :: AlertType -> AlertType -> Bool # (<=) :: AlertType -> AlertType -> Bool # (>) :: AlertType -> AlertType -> Bool # (>=) :: AlertType -> AlertType -> Bool # max :: AlertType -> AlertType -> AlertType # min :: AlertType -> AlertType -> AlertType #

class IsBlock il bl => HasAlerts il bl | il -> bl where #

Methods

alert :: AlertType -> bl -> bl #

#### Instances

Instances details

Rangeable (Html a) => HasAlerts (Html a) (Html a) # |
Instance details Defined in Commonmark.Extensions.Alerts Methods alert :: AlertType -> Html a -> Html a #
(HasAlerts il bl, Semigroup bl, Semigroup il) => HasAlerts (WithSourceMap il) (WithSourceMap bl) # |
Instance details Defined in Commonmark.Extensions.Alerts Methods alert :: AlertType -> WithSourceMap bl -> WithSourceMap bl #